Skip to main content

Get Affiliate Campaign Data (affiliate only)

HTTP Request

  • GET /api/v3/rebate/affiliate/campaign

Required Permission: SPOT_ACCOUNT_READ

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescription
startTimelongNoStart time, Unix millisecond timestamp
endTimelongNoEnd time, Unix millisecond timestamp
pageintNopage
pageSizeintNopageSize,default: 10
timestamplongYestimestamp
signaturestringYessignature

Response Parameters

NameTypeDescription
campaignstringcampaign name
inviteCodestringcampaign inviteCode
createTimelongcampaign createTime
clickTimeintinviteCode clickTime
signupintsignup number
depositedintdeposited number
depositAmountstringdepositAmount(usdt)
tradingAmountstringtradingAmount(usdt)
tradedinttraded number
commissionstringcommission

If startTime and endTime are not sent, the data from T-7 to T is returned.

Response

{
"success": true,
"code": 0,
"message": null,
"data": {
"pageSize": 10,
"totalCount": 15,
"totalPage": 2,
"currentPage": 1,
"resultList": [
{
"campaign": "11kd",
"inviteCode": "mexc-11Kd",
"clickTime": 0,
"createTime": 1695125287000,
"signup": 0,
"traded": 0,
"deposited": 0,
"depositAmount": "0",
"tradingAmount": "0",
"commission": "0"
},
{
"campaign": "New10",
"inviteCode": "mexc-newcode",
"clickTime": 7,
"createTime": 1693152531000,
"signup": 0,
"traded": 0,
"deposited": 0,
"depositAmount": "0",
"tradingAmount": "0",
"commission": "0"
}
]
}
}